<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script>
            // Array Unidimensional (vector)
            var listado = [444, 24, 3333, 4, 5];
            
            var listado2 = new Array(1,2,3,4,5);
            

            // mostrar el array
            console.log(listado);
            // longitud del array
            console.log(listado.length);
            // leer primer elemento
            console.log(listado[0]);
            // leer ultimo elemento
            console.log(listado[4]);

            // introducir en la poscion 1 un 67
            listado[1] = 67;

            console.log(listado2);
            
            var a = listado[2];
            console.log(a);
            
            listado2[4] = 500;
            console.log(listado2);
            
            listado3 = ['hola', 123, false, listado];
            
            console.log(listado3);
            
            listado2 = new Array(100);

            console.log(listado2);

            var notas = ['suspenso','aprobado']:



            // variable array
            let alumno = {"ramon","abramo","47"}

            // variable json
            let alumnoJSON = {
                "nombre" : "ramon",
                "apellido" :"abramo",
                "edad" : "47"
            }

            console.log(alumno);
            console.log(alumnoJSON):

            console.log(alumno[2]);
            console.log(alumnoJSON['edad']);

            console.log(alumnoJSON.edad);
        </script>
    </body>
</html>
        
